curl --request POST \
--url https://mcp.arlohealth.ai/api/consultations/{id}/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contentType": "<string>",
"data": "<string>",
"url": "<string>"
}
'import requests
url = "https://mcp.arlohealth.ai/api/consultations/{id}/media"
payload = {
"contentType": "<string>",
"data": "<string>",
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contentType: '<string>', data: '<string>', url: '<string>'})
};
fetch('https://mcp.arlohealth.ai/api/consultations/{id}/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sent": true,
"mediaSent": "photo",
"messageId": "<string>",
"uploadUrl": "<string>",
"uploadRef": "<string>",
"mediaType": "photo",
"contentType": "<string>",
"expiresIn": 123,
"instructions": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"code": "<string>"
}{
"error": "<string>",
"needsAuth": true
}Send media, or get a presigned URL to upload it
Attaches a photo or video to a consultation. Provide the bytes as base64 in
data, or a publicly reachable HTTPS url Arlo downloads server-side, and
the media is uploaded and sent for you. Provide neither and the response is
a short-lived (~60s) presigned URL to PUT the file to yourself.
Authorizations
OAuth 2.1 with PKCE
Path Parameters
Consultation/conversation ID
Body
Media type
photo, video MIME type (e.g. image/jpeg, video/mp4)
Base64-encoded file bytes (no data: URI prefix). Max 8 MB decoded.
Alternative to data: a public HTTPS URL Arlo downloads the file
from. Must need no credentials, must not resolve to a private or
reserved address, and must be under 8 MB. Ignored when data is set.
Response
Media sent, or a presigned upload URL when neither data nor url was provided
True when data or url was provided and the media was delivered
photo, video The media message id (pre-assigned on the presign fallback)
Presign fallback only. Presigned S3 PUT URL, expires in about 60 seconds
Presign fallback only. Short-lived opaque ref for the consultation widget's upload relay
photo, video Presign fallback only. Seconds until uploadUrl expires
Was this page helpful?